Bug 6720 - GASS Cache leaves files
: GASS Cache leaves files
Status: RESOLVED FIXED
: GRAM
gt2 Gatekeeper/Jobmanager
: 4.2.1
: PC All
: P3 normal
: 4.2.2
Assigned To:
:
: 4.0.x
:
:
  Show dependency treegraph
 
Reported: 2009-04-20 13:40 by
Modified: 2009-06-09 13:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-04-20 13:40:58
The symlink based GASS cache can leave files in the cache if the cache is on an
NFS file system. The same workaround that we have in the GRAM scripts (to
utime() the cache file prior to checking link count) should fix this issue.

Joe
------- Comment #1 From 2009-05-08 12:50:51 -------
Committed this fix to 4.0 branch, 4.2 branch, and trunk. Also committed some
leak fixes.
------- Comment #2 From 2009-06-09 13:37:46 -------
Updates provided at http://www.globus.org/toolkit/advisories.html